KDE 4.5 PyKDE API Reference

- KDE's Python API

# TextEdit Class Reference

`from PyKDE4.plasma import *`

Inherits: QGraphicsProxyWidget → QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

TextEdit plasma/widgets/textedit.h <Plasma/Widgets/TextEdit>

Provides a plasma-themed KTextEdit.

## Signals
| textChanged ()
## Methods
| __init__ (self, QGraphicsWidget parent=0)
| append (self, QString text)
| changeEvent (self, QEvent event)
| contextMenuEvent (self, QGraphicsSceneContextMenuEvent event)
| dataUpdated (self, QString sourceName, {QString:QVariant} data)
| focusOutEvent (self, QFocusEvent event)
bool | isReadOnly (self)
| mousePressEvent (self, QGraphicsSceneMouseEvent event)
KTextEdit | nativeWidget (self)
| resizeEvent (self, QGraphicsSceneResizeEvent event)
| setNativeWidget (self, KTextEdit nativeWidget)
| setReadOnly (self, bool readOnly)
| setStyleSheet (self, QString stylesheet)
| setText (self, QString text)
QString | styleSheet (self)
QString | text (self)

## Signal Documentation

textChanged | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("textChanged()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QGraphicsWidget | parent=0
| ) |  |  |

append | ( | self, |
|  | QString | text
| ) |  |  |

Allows appending text to the text browser

Since:
  4.4

changeEvent | ( | self, |
|  | QEvent | event
| ) |  |  |

contextMenuEvent | ( | self, |
|  | QGraphicsSceneContextMenuEvent | event
| ) |  |  |

dataUpdated | ( | self, |
|  | QString | sourceName,
|  | {QString:QVariant} | data
| ) |  |  |

focusOutEvent | ( | self, |
|  | QFocusEvent | event
| ) |  |  |

bool isReadOnly | ( |  | self ) |

Returns:
  true if the text area is non-interacive

mousePressEvent | ( | self, |
|  | QGraphicsSceneMouseEvent | event
| ) |  |  |

KTextEdit nativeWidget | ( |  | self ) |

Returns:
  the native widget wrapped by this TextEdit

resizeEvent | ( | self, |
|  | QGraphicsSceneResizeEvent | event
| ) |  |  |

setNativeWidget | ( | self, |
|  | KTextEdit | nativeWidget
| ) |  |  |

Sets the text edit wrapped by this TextEdit (widget must inherit KTextEdit), ownership is transferred to the TextEdit

@arg text edit that will be wrapped by this TextEdit

Since:
  KDE4.4

setReadOnly | ( | self, |
|  | bool | readOnly
| ) |  |  |

Sets the text area to be read only or interactive @arg true to make it read only, false for interactive

Since:
  4.4

setStyleSheet | ( | self, |
|  | QString | stylesheet
| ) |  |  |

Sets the stylesheet used to control the visual display of this TextEdit

@arg stylesheet a CSS string

setText | ( | self, |
|  | QString | text
| ) |  |  |

Sets the display text for this TextEdit

@arg text the text to display; should be translated.

QString styleSheet | ( |  | self ) |

Returns:
  the stylesheet currently used with this widget

QString text | ( |  | self ) |

Returns:
  the display text